summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Jorge Giner <jorge.giner@hotmail.com>2015-09-19 04:26:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-19 04:26:41 +0700
commitf50e7fd828ebaf3c1e2467f0e34dbb743c1722a0 (patch)
tree1a92666711320175addc6b5b188b508a4d595666 /graphics
parenta2f6c2e3724de68fb6bd752957cc1784fcb91f78 (diff)
downloadslackbuilds-f50e7fd828ebaf3c1e2467f0e34dbb743c1722a0.tar.gz
slackbuilds-f50e7fd828ebaf3c1e2467f0e34dbb743c1722a0.tar.xz
graphics/grafx2: Added (256-color bitmap paint program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/grafx2/README8
-rw-r--r--graphics/grafx2/doinst.sh3
-rw-r--r--graphics/grafx2/grafx2.SlackBuild98
-rw-r--r--graphics/grafx2/grafx2.info10
-rw-r--r--graphics/grafx2/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/graphics/grafx2/README b/graphics/grafx2/README
new file mode 100644
index 0000000000..fda64c8c5d
--- /dev/null
+++ b/graphics/grafx2/README
@@ -0,0 +1,8 @@
+GrafX2 - The Ultimate 256-color bitmap paint program
+
+GrafX2 is a drawing program dedicated to pixelart and low-color
+graphics. Its layout is not very different from the famous
+Deluxe Paint or Brilliance.
+
+If you want LUA scripting support, pass LUA=yes to the
+SlackBuild. This requires "lua".
diff --git a/graphics/grafx2/doinst.sh b/graphics/grafx2/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/grafx2/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/grafx2/grafx2.SlackBuild b/graphics/grafx2/grafx2.SlackBuild
new file mode 100644
index 0000000000..1087d977a2
--- /dev/null
+++ b/graphics/grafx2/grafx2.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for GrafX2
+
+# Copyright 2015 Jorge Giner Cordero
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=grafx2
+VERSION=${VERSION:-2.4.2035}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ "$LUA" = yes ]; then
+ LUA=""
+else
+ LUA="NOLUA=1"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tgz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+CFLAGS="$SLKCFLAGS" \
+make $LUA
+make install prefix=/usr DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/grafx2/grafx2.info b/graphics/grafx2/grafx2.info
new file mode 100644
index 0000000000..a1fb8e9140
--- /dev/null
+++ b/graphics/grafx2/grafx2.info
@@ -0,0 +1,10 @@
+PRGNAM="grafx2"
+VERSION="2.4.2035"
+HOMEPAGE="http://pulkomandy.tk/projects/GrafX2"
+DOWNLOAD="https://grafx2.googlecode.com/files/grafx2-2.4.2035-src.tgz"
+MD5SUM="9bfbb3cdbfe35cc195df17c0a8e8b9b7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jorge Giner"
+EMAIL="jorge.giner@hotmail.com"
diff --git a/graphics/grafx2/slack-desc b/graphics/grafx2/slack-desc
new file mode 100644
index 0000000000..75933bd380
--- /dev/null
+++ b/graphics/grafx2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+grafx2: grafx2 (The Ultimate 256-color bitmap paint program)
+grafx2:
+grafx2: GrafX2 is a drawing program dedicated to pixelart and low-color
+grafx2: graphics. Its layout is not very different from the famous Deluxe
+grafx2: Paint or Brilliance.
+grafx2:
+grafx2: Homepage: http://pulkomandy.tk/projects/GrafX2
+grafx2:
+grafx2:
+grafx2:
+grafx2: